Main Page Class List Class Members

# Nv::Blast::Serialization::Asset::Asset::Reader Class Reference

`#include <NvBlastExtLlSerialization.capn.h>`

List of all members.

## Public Types
typedef Asset | Reads
## Public Member Functions
inline::uint32_t | getBondCount () const
inline::capnp::List < ::Nv::Blast::Serialization::NvBlastBond > ::Reader | getBonds () const
inline::uint32_t | getChunkCount () const
inline::capnp::List < ::Nv::Blast::Serialization::NvBlastChunk > ::Reader | getChunks () const
inline::capnp::List < ::uint32_t >::Reader | getChunkToGraphNodeMap () const
inline::uint32_t | getFirstSubsupportChunkIndex () const
inline::Nv::Blast::Serialization::NvBlastSupportGraph::Reader | getGraph () const
inline::Nv::Blast::Serialization::NvBlastDataBlock::Reader | getHeader () const
inline::Nv::Blast::Serialization::UUID::Reader | getID () const
inline::uint32_t | getLeafChunkCount () const
inline::capnp::List < ::uint32_t >::Reader | getSubtreeLeafChunkCounts () const
bool | hasBonds () const
bool | hasChunks () const
bool | hasChunkToGraphNodeMap () const
bool | hasGraph () const
bool | hasHeader () const
bool | hasID () const
bool | hasSubtreeLeafChunkCounts () const
| Reader (::capnp::_::StructReader base)
| Reader ()
inline::kj::StringTree | toString () const
inline::capnp::MessageSize | totalSize () const
## Friends
struct | ::capnp::_::PointerHelpers
struct | ::capnp::List
class | ::capnp::MessageBuilder
class | ::capnp::Orphanage
struct | ::capnp::ToDynamic_

## Member Typedef Documentation

typedef Asset Nv::Blast::Serialization::Asset::Asset::Reader::Reads

## Constructor & Destructor Documentation

Nv::Blast::Serialization::Asset::Asset::Reader::Reader | ( |  | ) |

Nv::Blast::Serialization::Asset::Asset::Reader::Reader | ( | ::capnp::_::StructReader | base | ) | `[inline, explicit]`

## Member Function Documentation

uint32_t Nv::Blast::Serialization::Asset::Asset::Reader::getBondCount | ( |  | ) | const`[inline]`

inline ::capnp::List< ::Nv::Blast::Serialization::NvBlastBond>::Reader Nv::Blast::Serialization::Asset::Asset::Reader::getBonds | ( |  | ) | const

uint32_t Nv::Blast::Serialization::Asset::Asset::Reader::getChunkCount | ( |  | ) | const`[inline]`

capnp::List<::Nv::Blast::Serialization::NvBlastChunk >::Reader Nv::Blast::Serialization::Asset::Asset::Reader::getChunks | ( |  | ) | const`[inline]`

inline ::capnp::List< ::uint32_t>::Reader Nv::Blast::Serialization::Asset::Asset::Reader::getChunkToGraphNodeMap | ( |  | ) | const

uint32_t Nv::Blast::Serialization::Asset::Asset::Reader::getFirstSubsupportChunkIndex | ( |  | ) | const`[inline]`

Nv::Blast::Serialization::NvBlastSupportGraph::Reader Nv::Blast::Serialization::Asset::Asset::Reader::getGraph | ( |  | ) | const`[inline]`

Nv::Blast::Serialization::NvBlastDataBlock::Reader Nv::Blast::Serialization::Asset::Asset::Reader::getHeader | ( |  | ) | const`[inline]`

Nv::Blast::Serialization::UUID::Reader Nv::Blast::Serialization::Asset::Asset::Reader::getID | ( |  | ) | const`[inline]`

uint32_t Nv::Blast::Serialization::Asset::Asset::Reader::getLeafChunkCount | ( |  | ) | const`[inline]`

inline ::capnp::List< ::uint32_t>::Reader Nv::Blast::Serialization::Asset::Asset::Reader::getSubtreeLeafChunkCounts | ( |  | ) | const

bool Nv::Blast::Serialization::Asset::Asset::Reader::hasBonds | ( |  | ) | const`[inline]`

bool Nv::Blast::Serialization::Asset::Asset::Reader::hasChunks | ( |  | ) | const`[inline]`

bool Nv::Blast::Serialization::Asset::Asset::Reader::hasChunkToGraphNodeMap | ( |  | ) | const`[inline]`

bool Nv::Blast::Serialization::Asset::Asset::Reader::hasGraph | ( |  | ) | const`[inline]`

bool Nv::Blast::Serialization::Asset::Asset::Reader::hasHeader | ( |  | ) | const`[inline]`

bool Nv::Blast::Serialization::Asset::Asset::Reader::hasID | ( |  | ) | const`[inline]`

bool Nv::Blast::Serialization::Asset::Asset::Reader::hasSubtreeLeafChunkCounts | ( |  | ) | const`[inline]`

inline ::kj::StringTree Nv::Blast::Serialization::Asset::Asset::Reader::toString | ( |  | ) | const`[inline]`

inline ::capnp::MessageSize Nv::Blast::Serialization::Asset::Asset::Reader::totalSize | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend struct ::capnp::_::PointerHelpers`[friend]`

friend struct ::capnp::List`[friend]`

friend class ::capnp::MessageBuilder`[friend]`

friend class ::capnp::Orphanage`[friend]`

friend struct ::capnp::ToDynamic_`[friend]`

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/generated/NvBlastExtLlSerialization.capn.h